package com.curiam.client.datos;

import java.io.Serializable;
import java.util.ArrayList;

import com.google.gwt.user.client.ui.Label;

//Bean con los elementos que le pasamos a un caso
public class CaseBeanTPB implements Serializable{

	
	private static final long serialVersionUID = 1L;

	private String caseID;
	
	private String age;
	private String clinical_presentation;
	private String localization;
	private String size;
	private String shape;
	private String t1_hyperitense_tracts;
	private String t1_signal_intensity;
	private String t2_signal_intensity;
	private String margins;
	private String homogeneity;
	private String edema;
	private String multiplicity;
	private String target_appearance;
	private String dependence;
	private String mulcular_atrophy;
	private String calcification;
	private String vessels;
	private String intratumorral_hemorrhage;
	private String fat;
	private String fibrosis;
	private String fascial_relationship;
	private String bone_alteration;
	private String lesion_character;
	
	public CaseBeanTPB(){
	}
	
	public CaseBeanTPB(String clasi, String age, int cp, int loc, String size, int sh, int t1h, int t1s, int t2s, int mar, int hom, int ede, int mul, int tar, int dep, int mus, int cal, int ve, int hemor, int fat, int fibro, int fasc, int bone, int les){
	
		
		this.caseID = clasi;
		this.age = age;
		this.clinical_presentation = String.valueOf(cp);
		this.localization = String.valueOf(loc);
		this.size = size;
		this.shape = String.valueOf(sh);
		this.t1_hyperitense_tracts = String.valueOf(t1h);
		this.t1_signal_intensity = String.valueOf(t1s);
		this.t2_signal_intensity = String.valueOf(t2s);
		this.margins = String.valueOf(mar);
		this.homogeneity = String.valueOf(hom);
		this.edema = String.valueOf(ede);
		this.multiplicity = String.valueOf(mul);
		this.target_appearance = String.valueOf(tar);
		this.dependence = String.valueOf(dep);
		this.mulcular_atrophy = String.valueOf(mus);
		this.calcification = String.valueOf(cal);
		this.vessels = String.valueOf(ve);
		this.intratumorral_hemorrhage = String.valueOf(hemor);
		this.fat = String.valueOf(fat);
		this.fibrosis = String.valueOf(fibro);
		this.fascial_relationship = String.valueOf(fasc);
		this.bone_alteration = String.valueOf(bone);
		this.lesion_character = String.valueOf(les);
		
		
	}
	
	public String getCaseID() {
		return caseID;
	}
	
	public ArrayList<Object> getAge() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(age);
		return s;
	}
	
	public ArrayList<Object> getClinical_presentation() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(clinical_presentation);
		return s;
	}
	
	public ArrayList<Object> getLocalization() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(localization);
		return s;
	}

	public ArrayList<Object> getSize() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(size);
		return s;
	}
	
	public ArrayList<Object> getShape() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(shape);
		return s;
	}
	
	public ArrayList<Object> getT1_hyperitense_tracts() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(t1_hyperitense_tracts);
		return s;
	}
	
	public ArrayList<Object> getT1_signal_intensity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(t1_signal_intensity);
		return s;
	}
	
	public ArrayList<Object> getT2_signal_intensity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(t2_signal_intensity);
		return s;
	}
	
	public ArrayList<Object> getMargins() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(margins);
		return s;
	}
	
	public ArrayList<Object> getHomogeneity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(homogeneity);
		return s;
	}
	
	public ArrayList<Object> getEdema() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(edema);
		return s;
	}
	
	public ArrayList<Object> getMultiplicity() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(multiplicity);
		return s;
	}
	
	public ArrayList<Object> getTarget_appearance() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(target_appearance);
		return s;
	}
	
	public ArrayList<Object> getDependence() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(dependence);
		return s;
	}
	
	public ArrayList<Object> getMulcular_atrophy() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(mulcular_atrophy);
		return s;
	}
	
	public ArrayList<Object> getCalcification() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(calcification);
		return s;
	}
	
	public ArrayList<Object> getVessels() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(vessels);
		return s;
	}
	
	public ArrayList<Object> getIntratumorral_hemorrhage() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(intratumorral_hemorrhage);
		return s;
	}
	
	public ArrayList<Object> getFat() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(fat);
		return s;
	}
	
	public ArrayList<Object> getFibrosis() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(fibrosis);
		return s;
	}
	
	public ArrayList<Object> getFascial_relationship() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(fascial_relationship);
		return s;
	}
	
	public ArrayList<Object> getBone_alteration() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(bone_alteration);
		return s;
	}
	
	public ArrayList<Object> getLesion_character() {
		ArrayList<Object> s = new ArrayList<Object>();
		s.add(lesion_character);
		return s;
	}
}
